Index: npl/internetserver/libreswan/libreswan.SlackBuild
===================================================================
--- npl/internetserver/libreswan/libreswan.SlackBuild	(revision 42fa61667d7d6a37ce98bcf01789b19c285969a5)
+++ npl/internetserver/libreswan/libreswan.SlackBuild	(revision ac00c8f0d029aaeec492db904b07380e5283b995)
@@ -16,5 +16,5 @@
 KVER=`uname -r` || exit 1
 NAME=libreswan
-VERSION=3.27
+VERSION=3.29
 CWD=`pwd`
 TMP="/tmp"
@@ -37,6 +37,6 @@
 #make KERNELSRC=/usr/src/linux INC_USRLOCAL=/usr module || exit 1
 
-make USE_DH31=false USE_LABELED_IPSEC=false USE_DNSSEC=NO USE_SYSTEMD_WATCHDOG=false INC_USRLOCAL=/usr programs || exit 1
-make USE_DH31=false USE_LABELED_IPSEC=false USE_DNSSEC=NO USE_SYSTEMD_WATCHDOG=false INC_USRLOCAL=/usr DESTDIR=$PKGTMP install || exit 1
+make USE_LABELED_IPSEC=false USE_DNSSEC=NO USE_SYSTEMD_WATCHDOG=false INC_USRLOCAL=/usr programs || exit 1
+make USE_LABELED_IPSEC=false USE_DNSSEC=NO USE_SYSTEMD_WATCHDOG=false INC_USRLOCAL=/usr DESTDIR=$PKGTMP install || exit 1
 #make programs || exit 1
 #make DESTDIR=$PKGTMP install || exit 1
@@ -46,4 +46,7 @@
 rm $PKGTMP/ipsec.service
 
+#restart script
+cp -r $CWD/root/* $PKGTMP
+
 
 echo "* packagen"
Index: npl/internetserver/libreswan/libreswan.build
===================================================================
--- npl/internetserver/libreswan/libreswan.build	(revision 42fa61667d7d6a37ce98bcf01789b19c285969a5)
+++ npl/internetserver/libreswan/libreswan.build	(revision ac00c8f0d029aaeec492db904b07380e5283b995)
@@ -1,1 +1,1 @@
-6538
+6541
Index: npl/internetserver/libreswan/libreswan.md5
===================================================================
--- npl/internetserver/libreswan/libreswan.md5	(revision 42fa61667d7d6a37ce98bcf01789b19c285969a5)
+++ npl/internetserver/libreswan/libreswan.md5	(revision ac00c8f0d029aaeec492db904b07380e5283b995)
@@ -1,6 +1,5 @@
-27a3fdcad3fa6c8083f2037a267aa01e  ./libreswan-3.22.tar.gz
-a53f0545628cf3b5ccfc72a999388eb8  ./libreswan-3.27.tar.gz
-4a91fdb7ad8e037feb3206e19cccac2d  ./libreswan.pkg
-54e5c036414456ed2ff48040511c386a  ./libreswan.SlackBuild
-bb6e163c370b590a8a732bae60a222c1  ./libreswan.SlackBuild.log.gz
-fe6e06b11db12940987cc2010b48a71e  ./libreswan.tar.gz
+5b35b39a04f63a8e528b965aad515c01  ./libreswan-3.29.tar.gz
+271aacedeeb99f1ccbab730707f1d33f  ./libreswan.pkg
+266522735d5d8db44fd32be8736649af  ./libreswan.SlackBuild
+e0c2a842368826b9ca77f7c3f07fadf6  ./libreswan.SlackBuild.log.gz
+a2653f1a3d3f8b575bba71eab3f264ca  ./root/etc/postinst.d/post.libreswan_binary
Index: npl/internetserver/libreswan/libreswan.version
===================================================================
--- npl/internetserver/libreswan/libreswan.version	(revision 42fa61667d7d6a37ce98bcf01789b19c285969a5)
+++ npl/internetserver/libreswan/libreswan.version	(revision ac00c8f0d029aaeec492db904b07380e5283b995)
@@ -1,1 +1,1 @@
-3.27
+3.29
Index: npl/internetserver/libreswan/root/etc/postinst.d/post.libreswan_binary
===================================================================
--- npl/internetserver/libreswan/root/etc/postinst.d/post.libreswan_binary	(revision ac00c8f0d029aaeec492db904b07380e5283b995)
+++ npl/internetserver/libreswan/root/etc/postinst.d/post.libreswan_binary	(revision ac00c8f0d029aaeec492db904b07380e5283b995)
@@ -0,0 +1,6 @@
+#!/bin/bash
+
+#just restart it
+svcrestart /service/ipsec 
+
+exit 0
Index: npl/overig/mozilla_nss/mozilla-nss.SlackBuild.orig
===================================================================
--- npl/overig/mozilla_nss/mozilla-nss.SlackBuild.orig	(revision 42fa61667d7d6a37ce98bcf01789b19c285969a5)
+++ npl/overig/mozilla_nss/mozilla-nss.SlackBuild.orig	(revision ac00c8f0d029aaeec492db904b07380e5283b995)
@@ -1,5 +1,5 @@
-#!/bin/sh
+#!/bin/bash
 # Copyright 2005, 2006, 2008, 2009, 2010, 2012  Eric Hameleers, Eindhoven, NL
-# Copyright 2013, 2014, 2015  Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2013, 2014, 2015, 2017, 2018  Patrick J. Volkerding, Sebeka, MN, USA
 # All rights reserved.
 #
@@ -23,8 +23,10 @@
 # -----------------------------------------------------------------------------
 
+cd $(dirname $0) ; CWD=$(pwd)
+
 PKGNAM=mozilla-nss
 SRCNAM=nss
-VERSION=${VERSION:-3.23}
-NSPR=${NSPR:-4.12}
+VERSION=${VERSION:-3.46}
+NSPR=${NSPR:-4.22}
 BUILD=${BUILD:-1}
 
@@ -39,4 +41,12 @@
     *)       export ARCH=$MARCH ;;
   esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+  echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+  exit 0
 fi
 
@@ -56,10 +66,9 @@
 fi
 
-CWD=$(pwd)
 TMP=${TMP:-/tmp}
 PKG=$TMP/package-$PKGNAM
 
 # Seems parallel build does not work with this.
-#NUMJOBS=${NUMJOBS:-" -j7 "}
+#NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
 
 rm -rf $PKG
@@ -69,8 +78,11 @@
 rm -rf nss-${VERSION}
 rm -rf nspr-${NSPR}
-tar xvf $CWD/nss-$VERSION.tar.?z* || exit 1
+tar xvf $CWD/nss-$VERSION.tar.?z || exit 1
 cd nss-$VERSION
-tar xvf $CWD/nspr-$NSPR.tar.?z* || exit 1
+tar xvf $CWD/nspr-$NSPR.tar.?z || exit 1
 mv nspr*/nspr .
+
+# -Werror is problematic with gcc7:
+sed -i "s|\ -Werror| |" nss/coreconf/Werror.mk || exit 1
 
 # Make sure ownerships and permissions are sane:
@@ -92,6 +104,6 @@
 cd nss
   # Seems parallel build does not work with this.
-  #make $NUMJOBS nss_build_all export
-  make nss_build_all export
+  #make $NUMJOBS nss_build_all export || exit 1
+  make nss_build_all export || exit 1
 cd -
 
Index: npl/overig/mozilla_nss/mozilla_nss.SlackBuild
===================================================================
--- npl/overig/mozilla_nss/mozilla_nss.SlackBuild	(revision 42fa61667d7d6a37ce98bcf01789b19c285969a5)
+++ npl/overig/mozilla_nss/mozilla_nss.SlackBuild	(revision ac00c8f0d029aaeec492db904b07380e5283b995)
@@ -5,10 +5,10 @@
 # Created at Mon Apr 18 23:56:32 CEST 2016
 #DEP:sqlite
-
+#DEP:zlib
 
 ########### source original slackbuild (hopefully we dont need to modify it)
 CWD=`pwd`
 set -e
-unset MAKEFLAGS
+#unset MAKEFLAGS
 source ./mozilla-nss.SlackBuild.orig
 
Index: npl/overig/mozilla_nss/mozilla_nss.build
===================================================================
--- npl/overig/mozilla_nss/mozilla_nss.build	(revision 42fa61667d7d6a37ce98bcf01789b19c285969a5)
+++ npl/overig/mozilla_nss/mozilla_nss.build	(revision ac00c8f0d029aaeec492db904b07380e5283b995)
@@ -1,1 +1,1 @@
-6477
+1
Index: npl/overig/mozilla_nss/mozilla_nss.depver
===================================================================
--- npl/overig/mozilla_nss/mozilla_nss.depver	(revision 42fa61667d7d6a37ce98bcf01789b19c285969a5)
+++ npl/overig/mozilla_nss/mozilla_nss.depver	(revision ac00c8f0d029aaeec492db904b07380e5283b995)
@@ -1,1 +1,2 @@
 sqlite	2
+zlib	0
Index: npl/overig/mozilla_nss/mozilla_nss.md5
===================================================================
--- npl/overig/mozilla_nss/mozilla_nss.md5	(revision 42fa61667d7d6a37ce98bcf01789b19c285969a5)
+++ npl/overig/mozilla_nss/mozilla_nss.md5	(revision ac00c8f0d029aaeec492db904b07380e5283b995)
@@ -2,12 +2,12 @@
 751419260aa954499f7abaabaa882bbe  ./gpl-2.0.txt
 243b725d71bb5df4a1e5920b344b86ad  ./lgpl-2.1.txt
-3c3b1a73d4e67e4d0cc724eb4d2a5d18  ./mozilla_nss_dev.pkg
-487ce02bcdefe4774b5d1adbd3fd429d  ./mozilla_nss.pkg
-6b5d02888abb1cbdcba805b324ed517d  ./mozilla_nss.SlackBuild
-3c47548e084b5c6fe1aee8ceab579d2c  ./mozilla_nss.SlackBuild.log.gz
-194636fea4b877ce66e45d0225040587  ./mozilla-nss.SlackBuild.orig
+474e5707d10914321f2a8879668dc0ab  ./mozilla_nss_dev.pkg
+24b33fee92f8d023af33408178fecb61  ./mozilla_nss.pkg
+3b1456678c56557519f04e2be7a8c893  ./mozilla_nss.SlackBuild
+fe3b6f7a2c1c9a492136e022d7f592fb  ./mozilla_nss.SlackBuild.log.gz
+307a540418961fd4d093cf2e5fd9e359  ./mozilla-nss.SlackBuild.orig
 bfe1f75d606912a4111c90743d6c7325  ./MPL-1.1.txt
-9adc1f58e62379d9f8f634eb59d4290f  ./nspr-4.12.tar.xz
-bbc70aac06f945b406aa339ea320a411  ./nss-3.23.tar.xz
+cb7595bc9f2516fe60941b97a31f5194  ./nspr-4.22.tar.lz
+f1ce881ca83d801fcea65dab1e5bd9f9  ./nss-3.46.tar.lz
 46bee81908f1e5b26d6a7a2e14c64d9f  ./nss-config.in
-595b1c2bf29a738662b3fda1edf729dd  ./slack-desc
+d6181c85e24c9c0caff648ec5bf26707  ./slack-desc
Index: npl/overig/mozilla_nss/mozilla_nss.version
===================================================================
--- npl/overig/mozilla_nss/mozilla_nss.version	(revision 42fa61667d7d6a37ce98bcf01789b19c285969a5)
+++ npl/overig/mozilla_nss/mozilla_nss.version	(revision ac00c8f0d029aaeec492db904b07380e5283b995)
@@ -1,1 +1,1 @@
-3.23
+3.46
Index: npl/overig/mozilla_nss/mozilla_nss_dev.build
===================================================================
--- npl/overig/mozilla_nss/mozilla_nss_dev.build	(revision 42fa61667d7d6a37ce98bcf01789b19c285969a5)
+++ npl/overig/mozilla_nss/mozilla_nss_dev.build	(revision ac00c8f0d029aaeec492db904b07380e5283b995)
@@ -1,1 +1,1 @@
-6477
+1
Index: npl/overig/mozilla_nss/mozilla_nss_dev.version
===================================================================
--- npl/overig/mozilla_nss/mozilla_nss_dev.version	(revision 42fa61667d7d6a37ce98bcf01789b19c285969a5)
+++ npl/overig/mozilla_nss/mozilla_nss_dev.version	(revision ac00c8f0d029aaeec492db904b07380e5283b995)
@@ -1,1 +1,1 @@
-3.23
+3.46
